commit: b5afdc366e209df26c47f086dc99fa15ab38e153
Author: Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 9 22:52:40 2019 +0000
Commit: Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Tue Apr 9 22:52:57 2019 +0000
URL: https://gitweb.gentoo.org/proj/releng.git/commit/?id=b5afdc36
tools-systemd: add scripts for arm64
Signed-off-by: Anthony G. Basile <blueness <AT> gentoo.org>
tools-systemd/run-arm64.sh | 49 ++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 49 insertions(+)
diff --git a/tools-systemd/run-arm64.sh b/tools-systemd/run-arm64.sh
new file mode 100755
index 00000000..41c4afc8
--- /dev/null
+++ b/tools-systemd/run-arm64.sh
@@ -0,0 +1,49 @@
+#!/bin/bash
+
+source common.sh
+
+prepare_confs() {
+ local arch=$1
+
+ for s in 1 2 3; do
+
+ local cstage=stage${s}
+ local p=$(( s - 1 ))
+ [[ $p == 0 ]] && p=3
+ local pstage=stage${p}
+ local repo_dir="$( dirname $(pwd) )"
+ local template="stage-all.conf.template"
+ local parch="${arch}"
+
+ cat ${template} | \
+ sed -e "s:\(^version_stamp.*$\):\1-${mydate}:" \
+ -e "s:CSTAGE:${cstage}:g" \
+ -e "s:PSTAGE:${pstage}:g" \
+ -e "s:SARCH:${arch}:g" \
+ -e "s:PARCH:${parch}:g" \
+ -e "s:@REPO_DIR@:${repo_dir}:g" \
+ -e "s:MYCATALYST:$(pwd):g" \
+ > stage${s}-${arch}-systemd.conf
+ done
+}
+
+
+main() {
+ >zzz.log
+
+ undo_grsec
+
+ catalyst -s current | tee -a zzz.log >snapshot.log 2>snapshot.err
+
+ for arch in arm64; do
+ prepare_confs ${arch}
+ done
+
+ for arch in arm64; do
+ do_stages ${arch}
+ [[ $? == 1 ]] && echo "FAILURE at ${arch}" | tee zzz.log
+ done
+
+}
+
+main $1 &